.pricing {
    @include bg-cover-center("../../images/section_pricing/pricing_bg.png");
    padding-bottom: 12px;
    min-width: 300px;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        padding-top: 90px;
        padding-bottom: 94px;
    }

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        padding-top: 83px;
        padding-bottom: 97px;
    }
}

.pricing__title {
    margin-bottom: 32px;
    font-family: Montserrat, sans-serif;
    font-size: 28px;
    line-height: 1.5;
    font-weight: 700;
    text-align: center;
    color: $ui-color-white;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        font-size: 42px;
        line-height: 1.05;
    }
}

.pricing__cards-wrapper {
    @include flex-center;
    flex-direction: column;
    gap: 18px;

    @media screen and (min-width: $ui-breakpoint-md-min) {
        display: grid;
        grid-template-columns: 15px 260px 260px;
        row-gap: 30px;
        column-gap: 25px;
    }

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        display: flex;
        flex-direction: row;
        gap: 15px;
    }
}

.pricing__card {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    width: 260px;
    height: 460px;
    text-align: center;

    @media screen and (min-width: $ui-breakpoint-md-min) {

        &.plan-1 {
            grid-column: 2;
            grid-row: 1;
        }

        &.plan-2 {
            grid-column: 3;
            grid-row: 1;
        }

        &.recommended {
            grid-column: 1 / 2;
            grid-row: 2;
        }

        &.plan-4 {
            grid-column: 3;
            grid-row: 2;
        }
    }


    &.recommended {
        width: 300px;
        height: 560px;
        background-color: $ui-color-pricing-card-dark;
    }
}

.pricing__card-title-wrapper {
    @include flex-center;
    width: 100%;
    height: 97px;
    background-color: $ui-color-pricing-heading-light;

    &.recommended {
        height: 111px;
        background-color: $ui-color-pricing-heading-dark;
    }
}

.pricing__card-title {
    font-family: Montserrat, sans-serif;
    font-size: 24px;
    line-height: 1;
    text-align: center;
    color: $ui-color-white;
    text-transform: uppercase;
}

.pricing__card-body-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding-top: 30px;
    padding-bottom: 37px;
    background-color: $ui-color-pricing-card-light;

    &.recommended {
        background-color: $ui-color-pricing-card-dark;
        padding-top: 14px;
        padding-bottom: 47px;
    }
}

.pricing__card-price {
    margin-bottom: 20px;
    font-family: Montserrat, sans-serif;
    font-size: 60px;
    line-height: 1.03;
    text-align: center;
    color: $ui-color-white;
    text-transform: uppercase;

    & span {
        font-weight: 700;
    }

    &.recommended {
        margin-bottom: 16px;
        font-size: 82px;
        line-height: 1.02;
    }
}

.pricing__card-period {
    margin-bottom: 38px;
    font-family: Montserrat, sans-serif;
    font-size: 14px;
    line-height: 1.14;
    text-align: center;
    color: $ui-color-white;
    text-transform: uppercase;

    &.recommended {
        margin-bottom: 46px;
    }
}

.pricing__card-separator {
    width: 60px;
    height: 5px;
    margin: 0 auto 30px;
    background-color: $ui-color-primary;

    &.recommended {
        margin-bottom: 40px;
    }
}

.pricing__card-feature {
    font-family: Montserrat, sans-serif;
    font-size: 16px;
    line-height: 1.75;
    text-align: center;
    color: $ui-color-white;

    @media screen and (min-width: $ui-breakpoint-xl-min) {
        line-height: 1.13;
    }
}

.purchase-button {
    position: relative;
    display: flex;
    margin: 0 auto;

    &.recommended {

        & svg {
            width: 190px;
            height: 52px;
        }
    }
}

.purchase-button__text {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 2;
    font-family: Montserrat, sans-serif;
    font-size: 15px;
    line-height: 1;
    text-align: center;
    color: $ui-color-white;
    text-transform: uppercase;
    transform: translateX(-50%) translateY(-50%);

    &.recommended {
        font-size: 16px;
        line-height: 1.13;
    }

}